Loading...
Searching...
No Matches
Dune::Amg::VertexProperties Class Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Class representing a node in the matrix graph. More...

`#include <dune/istl/paamg/dependency.hh>`

## Public Types

enum | { ISOLATED , VISITED , FRONT , BORDER , SIZE }

## Public Member Functions

| VertexProperties ()
| Constructor.
std::bitset< SIZE >::reference | operator[] (std::size_t v)
| Access the bits directly.
bool | operator[] (std::size_t v) const
| Access the bits directly.
void | setIsolated ()
| Marks that node as being isolated.
bool | isolated () const
| Checks whether the node is isolated.
void | resetIsolated ()
| Resets the isolated flag.
void | setVisited ()
| Mark the node as already visited.
bool | visited () const
| Checks whether the node is marked as visited.
void | resetVisited ()
| Resets the visited flag.
void | setFront ()
| Marks the node as belonging to the current clusters front.
bool | front () const
| Checks whether the node is marked as a front node.
void | resetFront ()
| Resets the front node flag.
void | setExcludedBorder ()
| Marks the vertex as excluded from the aggregation.
bool | excludedBorder () const
| Tests whether the vertex is excluded from the aggregation.
void | resetExcludedBorder ()
| Marks the vertex as included in the aggregation.
void | reset ()
| Reset all flags.

## Friends

std::ostream & | operator<< (std::ostream &os, const VertexProperties &props)

## Detailed Description

Class representing a node in the matrix graph.

Contains methods for getting and setting node attributes.

The documentation for this class was generated from the following file:

- dependency.hh